Skip to main content
PUT
https://prod-api.raisedonors.com
/
api
/
Segment
/
{id}
Update a Segment
curl --request PUT \
  --url https://prod-api.raisedonors.com/api/Segment/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "campaignId": 123,
  "name": "<string>",
  "code": "<string>",
  "description": "<string>",
  "externalIdentifier": "<string>"
}
'
{
  "id": 123,
  "campaignId": 123,
  "campaignName": "<string>",
  "name": "<string>",
  "description": "<string>",
  "code": "<string>",
  "externalIdentifier": "<string>",
  "totalDonors": 123,
  "totalGifts": 123,
  "totalGiftAmount": "<string>",
  "averageGiftAmount": "<string>",
  "medianGiftAmount": "<string>",
  "highestGiftAmount": "<string>",
  "totalVisitors": 123,
  "conversionRate": "<string>",
  "createdDateTime": "<string>",
  "modifiedDateTime": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

id
integer<int64>
required

The ID of the segment.

Body

The segment request model.

campaignId
integer<int64>
required
name
string
required
Minimum string length: 1
code
string
required
Minimum string length: 1
description
string | null
externalIdentifier
string | null

Response

OK

Represents a segment model.

id
integer<int64>

Gets or sets the identifier.

campaignId
integer<int64>

Gets or sets the campaign identifier.

campaignName
string | null

Gets or sets the campaign name.

name
string | null

Gets or sets the name.

description
string | null

Gets or sets the description.

code
string | null

Gets or sets the code.

externalIdentifier
string | null

Gets or sets the external identifier.

totalDonors
integer<int32>
read-only

Gets or sets the total donors.

totalGifts
integer<int32>
read-only

Gets or sets the total gifts.

totalGiftAmount
string | null
read-only

Gets or sets the total gift amount.

averageGiftAmount
string | null
read-only

Gets or sets the average gift amount.

medianGiftAmount
string | null
read-only

Gets or sets the median gift amount.

highestGiftAmount
string | null
read-only

Gets or sets the highest gift amount.

totalVisitors
integer<int32>
read-only

Gets or sets the total visitors.

conversionRate
string | null
read-only

Gets or sets the conversion rate.

createdDateTime
string | null
read-only

Gets or sets the created date time.

modifiedDateTime
string | null
read-only

Gets or sets the modified date time.

Last modified on June 5, 2026